%define beta    %{nil}
%define commit  5c148771d25f1a32e0f7f9c3b339aad4189d31ea
#-beta1
%define gimpplugin 0
%define abi_version 3.0

Name:           sane-frontends
Version:        1.0.14
Release:        %mkrel 30.git20241023.1
Summary: 	Graphical frontend to SANE
License: 	GPLv2+
Group:		Graphics/Scanning
URL:       	http://www.sane-project.org/
#Source:    	ftp://ftp.sane-project.org/pub/sane/sane-frontends-%%{version}/%%{name}-%%{version}%%{beta}.tar.bz2
Source0:	https://gitlab.com/sane-project/frontends/-/archive/%{commit}/%{name}-%{commit}.tar.bz2
Source1:	sane-frontends16.png
Source2:	sane-frontends32.png
Source3:	sane-frontends48.png
Patch0:		sane-frontends-1.0.14-segfault.patch
# https://gitlab.com/sane-project/frontends/-/issues/45
Patch1:		sane-frontends-fix-disable-gimp.patch
%if %{gimpplugin}
BuildRequires:	pkgconfig(gimp-3.0)
%endif
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(sane-backends) >= %{version}
BuildRequires:	pkgconfig(libusb)
Requires: 	sane >= %{version}

%description
This is the xscanimage program, used to scan images using SANE,
%if %{gimpplugin}
either standalone or as a gimp plugin. Also includes xcam and scanadf.
%else
and also includes xcam and scanadf.
%endif

%prep
%autosetup -p1 -n frontends-%{commit}

%build
autoreconf -vfi
%configure --disable-gimp
%make_build

%install
%make_install

%if %{gimpplugin}
mkdir -p %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins
ln -s %{_bindir}/xscanimage %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins
%endif

# menu icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 0644 %SOURCE1 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/sane-frontends.png
install -m 0644 %SOURCE2 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/sane-frontends.png
install -m 0644 %SOURCE3 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/sane-frontends.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-xscanimage.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XScanImage
Comment=A simple frontend for the SANE scanning system
Exec=%{_bindir}/xscanimage
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Graphics;Scanning;
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-xcam.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XCam
Comment=A SANE-based frontend for webcams
Exec=%{_bindir}/xcam
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;AudioVideo;Video;
EOF

%files
%doc NEWS README AUTHORS
%{_bindir}/*
%{_datadir}/sane/sane-style.rc
%if %{gimpplugin}
# own gimp directories - in case gimp is not installed (Anssi 08/2012)
%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{abi_version}
%dir %{_libdir}/gimp/%{abi_version}/plug-ins
%{_libdir}/gimp/%{abi_version}/plug-ins/xscanimage
%endif
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Thu Apr 17 2025 daviddavid <daviddavid> 1.0.14-30.git20241023.1.mga10
+ Revision: 2175872
- update to latest git snapshot as of 20241023
- disable gimp support for now, not yet ported to gimp v3

* Tue May 28 2024 daviddavid <daviddavid> 1.0.14-30.git20230120.1.mga10
+ Revision: 2068596
- update to git snashot as of 20230120
- add MR to fix segfault when `scanadf -h -d <device>` from src/scanadf.c

* Wed Nov 16 2022 julien <julien> 1.0.14-29.git.b2b5f1ca61bfd4912.mga9
+ Revision: 1908066
- update to latest git version

* Tue Apr 05 2022 umeabot <umeabot> 1.0.14-28.mga9
+ Revision: 1845042
- Mageia 9 Mass Rebuild

* Fri Jan 29 2021 daviddavid <daviddavid> 1.0.14-27.mga8
+ Revision: 1673895
- switch back to gimp 2.0

* Fri Jan 01 2021 luigiwalser <luigiwalser> 1.0.14-26.mga8
+ Revision: 1667504
- rebuild for gimp3
- try rebuilding gimp plugin

* Mon Jul 06 2020 joequant <joequant> 1.0.14-25.mga8
+ Revision: 1602539
- bump
- aarch64 workaround removed

* Fri Feb 14 2020 umeabot <umeabot> 1.0.14-24.mga8
+ Revision: 1516749
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.14-23.mga7
+ Revision: 1300925
- Mageia 7 Mass Rebuild

* Sun Aug 12 2018 wally <wally> 1.0.14-22.mga7
+ Revision: 1251185
- drop unused debug conditional from .spec
- clean unneeded parts and other .spec tidying

* Sat Jul 28 2018 wally <wally> 1.0.14-21.mga7
+ Revision: 1245668
- fix build on aarch64

* Tue Feb 02 2016 umeabot <umeabot> 1.0.14-20.mga6
+ Revision: 931550
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.14-19.mga5
+ Revision: 746002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.14-18.mga5
+ Revision: 689029
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.0.14-17.mga5
+ Revision: 643772
- Replace libusb*-devel BuildRequires by better ones

* Fri Oct 18 2013 umeabot <umeabot> 1.0.14-16.mga4
+ Revision: 521798
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 1.0.14-15.mga3
+ Revision: 391912
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 05 2012 anssi <anssi> 1.0.14-13.mga3
+ Revision: 278558
- do not require gimp, this can be used standalone as well
- do not use fragile %%post/preun tricks to install gimp plug-in symlink,
  just create it in %%install

* Thu Apr 19 2012 pterjan <pterjan> 1.0.14-12.mga2
+ Revision: 231866
- Fix clean section for manual builds
- Fix a segfault when failing to open a device

* Wed Mar 09 2011 ennael <ennael> 1.0.14-11.mga1
+ Revision: 66819
- clean spec file
+ ahmad <ahmad>
- drop old/unneeded scriptlets
- rename .desktop files to mageia-*
- imported package sane-frontends


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.14-10mdv2011.0
+ Revision: 607508
- rebuild

* Fri Mar 12 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.14-9mdv2010.1
+ Revision: 518366
- Remove wrong mimetypes

* Fri Mar 12 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.14-8mdv2010.1
+ Revision: 518365
- Remove wrong mimetypes

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.14-7mdv2010.0
+ Revision: 426976
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.14-6mdv2009.1
+ Revision: 351530
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.0.14-5mdv2009.0
+ Revision: 218438
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.14-5mdv2008.1
+ Revision: 179489
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.14-4mdv2008.0
+ Revision: 76281
- rebuild for 2008
- don't package COPYING
- xdg menus
- fd.o icons
- use perl rather than sed for CFLAGS substitution (to avoid sed being a build dependency)
- use Fedora license policy
- correct source location


* Tue Jul 04 2006 Till Kamppeter <till@mandriva.com> 1.0.14-3mdv2007.0
- Removed "Requires: gtk+" (Bug 23451).

* Sat Jan 21 2006 Till Kamppeter <till@mandriva.com> 1.0.14-2mdk
- Added menu entries for xscanimage and xcam.
- Introduced %%mkrel.

* Wed Nov 23 2005 Till Kamppeter <till@mandriva.com> 1.0.14-1mdk
- Updated to version 1.0.14.
- Fixed some rpmlint issues.

* Mon Jan 24 2005 Till Kamppeter <till@mandrakesoft.com> 1.0.13-2mdk
- Fixed dependency on GIMP 2.x.

* Tue Nov 09 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.13-1mdk
- Updated to version 1.0.13.

* Mon May 03 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.12-1mdk
- Updated to version 1.0.12.
- GIMP plug-in built for GIMP 2.0 now.

* Fri Aug 22 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.0.11-1mdk
- Updated to version 1.0.11

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0.10-2mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

